﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Wcf.IProductService; //这里和.net3.5 没有任何区别
namespace Server
{
	public class ProductService:IProductService
	{
		public static IList<Product> products = new List<Product>()
		{
			new Product{Id="1",ProductName="Iphone4s",Price="3788"},
			new Product{Id="2",ProductName="Ipad3",Price="3188"}
		};

		#region IProductService 成员

		public IEnumerable<Product> GetAll()
		{
			return products;
		}

		public Product Get(string id)
		{
			Product product = products.FirstOrDefault(p => p.Id == id);
			//文艺型代码
			if (null != product)
			{
				return product;
			}
	
			return null;
		}

		public void Create(Product product)
		{
			products.Add(product);
		}

		public void Update(Product product)
		{
			products.Remove(product);
			products.Add(product);
		}

		public void Delete(string id)
		{
			Product product = this.Get(id);
			if (null != product)
			{
				products.Remove(product);
			}
		}

		#endregion
	}
}
